## org.hibernate.bytecode.cglib
Class AccessOptimizerAdapter

    java.lang.Object
      org.hibernate.bytecode.cglib.AccessOptimizerAdapter

All Implemented Interfaces:
  Serializable, ReflectionOptimizer.AccessOptimizer

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public class AccessOptimizerAdapter

extends Object
implements ReflectionOptimizer.AccessOptimizer, Serializable

The `ReflectionOptimizer#AccessOptimizer` implementation for CGLIB which simply acts as an adapter to the `BulkBean` class.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static String` `PROPERTY_GET_EXCEPTION` Deprecated.
`static String` `PROPERTY_SET_EXCEPTION` Deprecated.

Constructor Summary
`AccessOptimizerAdapter(net.sf.cglib.beans.BulkBean bulkBean, Class mappedClass)` Deprecated.

Method Summary
`String[]` `getPropertyNames()` Deprecated.
`Object[]` `getPropertyValues(Object object)` Deprecated.
`void` `setPropertyValues(Object object, Object[] values)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_GET_EXCEPTION

    public static final String PROPERTY_GET_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### PROPERTY_SET_EXCEPTION

    public static final String PROPERTY_SET_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### AccessOptimizerAdapter

    public AccessOptimizerAdapter(net.sf.cglib.beans.BulkBean bulkBean,
                                  Class mappedClass)

  Deprecated.

Method Detail

### getPropertyNames

    public String[] getPropertyNames()

  Deprecated.
  Specified by:
    `getPropertyNames` in interface `ReflectionOptimizer.AccessOptimizer`

### getPropertyValues

    public Object[] getPropertyValues(Object object)

  Deprecated.
  Specified by:
    `getPropertyValues` in interface `ReflectionOptimizer.AccessOptimizer`

### setPropertyValues

    public void setPropertyValues(Object object,
                                  Object[] values)

  Deprecated.
  Specified by:
    `setPropertyValues` in interface `ReflectionOptimizer.AccessOptimizer`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.